## /inc/caldav-REPORT-expand-property.php

Description
Functions
expand_properties (line 44)

Expand the properties, recursing only once

void expand_properties ( $urls, $ptree, &$reply, [ $recurse_again = true])

- $urls
- $ptree
- &$reply
- $recurse_again

get_href_containers (line 8)

Given a <response><href>...</href><propstat><prop><someprop/></prop><status>HTTP/1.1 200 OK</status></propstat>...</response> pull out the content of <someprop>content</someprop> and check to see if it has any href elements. If it *does* then recurse into them, looking for the next deeper nesting of properties.

void get_href_containers ( &$multistatus_response)

- &$multistatus_response

Documentation generated on Wed, 04 Jul 2012 10:13:06 +0000 by phpDocumentor 1.4.3